# Owner Functions

## setFeeCollector

The administrator can collect the fee from every bid. When one bid is complete, the FeeCollect address will collect the fee, and the rest will be sent to the curator.

`function setFeeCollector( address newsFeeCollector, uint256 newFeeRate ) external onlyOwner`

<table><thead><tr><th width="198.33333333333331">Name</th><th width="113">Type</th><th>Description</th></tr></thead><tbody><tr><td>newsFeeCollector</td><td>address</td><td>An EVM-compatible address for collecting fees</td></tr><tr><td>newFeeRate</td><td>uint256</td><td>Fee rate charged after a bid is executed</td></tr></tbody></table>

## setGovernance

Set up administrator addresses

`function setGovernance(address gov, bool whitelist) external onlyOwner`

<table><thead><tr><th width="203.33333333333331">Name</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td>gov</td><td>address</td><td>An EVM-compatible address</td></tr><tr><td>whitelist</td><td>bool</td><td>"true" means setting as an administrator<br>"false" means revoking administrator privileges</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/contract-specification/owner-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
